/* Written by Yong Li, Depeng Liu                                       */
/* Copyright (c) 2016                  	                               */
/* This program is free software: you can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
 /* the Free Software Foundation, either version 3 of the License, or    */
/* (at your option) any later version.                                  */

/* This program is distributed in the hope that it will be useful,      */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/* GNU General Public License for more details.                         */

/* You should have received a copy of the GNU General Public License    */
/* along with this program.  If not, see <http://www.gnu.org/licenses/>.*/

package cn.ac.ios.oracle;

import java.util.List;

import automata.FiniteAutomaton;
import cn.ac.ios.util.UtilAutomaton;
import dk.brics.automaton.Automaton;
import dk.brics.automaton.State;
import dk.brics.automaton.Transition;
import oracle.AutomatonBuilder;
import oracle.EmptinessCheck;
import oracle.Membership;
import oracle.ProductBuilder;

public class BuechiRunner {
	
	// input a list of string (letters) of prefix 
	// a list of strings (letters) of suffix
	public static boolean isAccepting(FiniteAutomaton aut
			, List<String> prefix, List<String> suffix) {
		Membership checker = new Membership(aut);
		return checker.checkMembership(prefix, suffix);
	}

}
